declare const palette: {
    brand: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    brandYellow: {
        dark: string;
        main: string;
    };
    neutral: {
        7: string;
        20: string;
        46: string;
        60: string;
        86: string;
        93: string;
        97: string;
        100: string;
        specialReport: string;
    };
    error: {
        main: string;
        bright: string;
    };
    success: {
        main: string;
    };
    news: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    opinion: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    sport: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    culture: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    lifestyle: {
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    labs: {
        dark: string;
        main: string;
    };
    text: {
        primary: string;
        secondary: string;
        error: string;
        ctaPrimary: string;
        ctaSecondary: string;
        mono: {
            primary: string;
            secondary: string;
            ctaPrimary: string;
            ctaSecondary: string;
        };
        brand: {
            primary: string;
            secondary: string;
            error: string;
            ctaPrimary: string;
            ctaSecondary: string;
        };
        brandYellow: {
            primary: string;
            secondary: string;
            ctaPrimary: string;
            ctaSecondary: string;
        };
        readerRevenue: {
            primary: string;
            secondary: string;
            ctaPrimary: string;
            ctaSecondary: string;
        };
        readerRevenueYellow: {
            primary: string;
            secondary: string;
            ctaPrimary: string;
            ctaSecondary: string;
        };
    };
    background: {
        primary: string;
        ctaPrimary: string;
        ctaPrimaryHover: string;
        ctaSecondary: string;
        ctaSecondaryHover: string;
        radioChecked: string;
        checkboxChecked: string;
        mono: {
            primary: string;
            ctaPrimary: string;
            ctaPrimaryHover: string;
            ctaSecondary: string;
            ctaSecondaryHover: string;
        };
        brand: {
            primary: string;
            ctaPrimary: string;
            ctaPrimaryHover: string;
            ctaSecondary: string;
            ctaSecondaryHover: string;
            radioChecked: string;
        };
        brandYellow: {
            primary: string;
            ctaPrimary: string;
            ctaPrimaryHover: string;
            ctaSecondary: string;
            ctaSecondaryHover: string;
        };
        readerRevenue: {
            primary: string;
            ctaPrimary: string;
            ctaPrimaryHover: string;
            ctaSecondary: string;
            ctaSecondaryHover: string;
        };
        readerRevenueYellow: {
            primary: string;
            ctaPrimary: string;
            ctaPrimaryHover: string;
            ctaSecondary: string;
            ctaSecondaryHover: string;
        };
    };
    border: {
        primary: string;
        secondary: string;
        error: string;
        focusHalo: string;
        radio: string;
        radioHover: string;
        textInput: string;
        checkbox: string;
        checkboxHover: string;
        checkboxChecked: string;
        brand: {
            error: string;
            radio: string;
            radioHover: string;
        };
        readerRevenue: {
            ctaSecondary: string;
        };
        readerRevenueYellow: {
            ctaSecondary: string;
        };
    };
};
export { palette };
