'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

// e.g. for sport:
// const [dark, main, bright, pastel, faded] = colors.blue

var colors = {
  reds: ["#AB0613", //news-dark
  "#C70000", //news-main
  "#FF5943", //news-bright
  "#FFBAC8", //news-pastel
  "#FFF4F2"],
  oranges: ["#AB0613", //opinion-dark
  "#E05E00", //opinion-main
  "#FF7F0F", //opinion-bright
  "#F9B376", //opinion-pastel
  "#FEF9F5"],
  blues: ["#005689", //sport-dark
  "#0084C6", //sport-main
  "#00B2FF", //sport-bright
  "#90DCFF", //sport-pastel
  "#F1F8FC", //sport-faded
  "#041F4A", //brand-dark
  "#052962", //brand-main
  "#007ABC", //brand-bright
  "#506991", //brand-pastel
  "#C1D8FC"],
  browns: ["#6B5840", //culture-dark
  "#A1845C", //culture-main
  "#EACCA0", //culture-bright
  "#E7D4B9", //culture-pastel
  "#FBF6EF"],
  pinks: ["#7D0068", //lifestyle-dark
  "#BB3B80", //lifestyle-main
  "#FFABDB", //lifestyle-bright
  "#FEC8D3", //lifestyle-pastel
  "#FEEEF7"],
  yellows: ["#F3C100", //highlight-dark
  "#FFE500"],
  greens: ["#185E36", "#22874D", //success-main
  "#65A897", //labs-dark
  "#69D1CA"],
  grays: ["#121212", //neutral-7
  "#333333", //neutral-20
  "#767676", //neutral-46
  "#999999", //neutral-60
  "#DCDCDC", //neutral-86
  "#EDEDED", //neutral-93
  "#F6F6F6", //neutral-97
  "#FFFFFF", //neutral-100
  "#3F464A", //special-report
  "#1A1A1A"]
};

var brand = {
  dark: colors.blues[5],
  main: colors.blues[6],
  bright: colors.blues[7],
  pastel: colors.blues[8],
  faded: colors.blues[9]
};
var brandYellow = {
  dark: colors.yellows[0],
  main: colors.yellows[1]
};
var neutral = {
  7: colors.grays[0],
  20: colors.grays[1],
  46: colors.grays[2],
  60: colors.grays[3],
  86: colors.grays[4],
  93: colors.grays[5],
  97: colors.grays[6],
  100: colors.grays[7],
  specialReport: colors.grays[8]
};
var error = {
  main: colors.reds[1],
  bright: colors.reds[2]
};
var success = {
  main: colors.greens[1]
};
var news = {
  dark: colors.reds[0],
  main: colors.reds[1],
  bright: colors.reds[2],
  pastel: colors.reds[3],
  faded: colors.reds[4]
};
var opinion = {
  dark: colors.oranges[0],
  main: colors.oranges[1],
  bright: colors.oranges[2],
  pastel: colors.oranges[3],
  faded: colors.oranges[4]
};
var sport = {
  dark: colors.blues[0],
  main: colors.blues[1],
  bright: colors.blues[2],
  pastel: colors.blues[3],
  faded: colors.blues[4]
};
var culture = {
  dark: colors.browns[0],
  main: colors.browns[1],
  bright: colors.browns[2],
  pastel: colors.browns[3],
  faded: colors.browns[4]
};
var lifestyle = {
  dark: colors.pinks[0],
  main: colors.pinks[1],
  bright: colors.pinks[2],
  pastel: colors.pinks[3],
  faded: colors.pinks[4]
};
var labs = {
  dark: colors.greens[2],
  main: colors.greens[3] // functional colours

};
var text = {
  primary: neutral[7],
  secondary: neutral[46],
  error: error.main,
  ctaPrimary: neutral[100],
  ctaSecondary: brand.main,
  mono: {
    primary: neutral[100],
    secondary: neutral[60],
    ctaPrimary: neutral[7],
    ctaSecondary: neutral[100]
  },
  brand: {
    primary: neutral[100],
    secondary: neutral[60],
    error: error.bright,
    ctaPrimary: brand.main,
    ctaSecondary: neutral[100]
  },
  brandYellow: {
    primary: neutral[7],
    secondary: neutral[60],
    ctaPrimary: neutral[100],
    ctaSecondary: neutral[7]
  },
  readerRevenue: {
    primary: neutral[100],
    secondary: neutral[60],
    ctaPrimary: brand.main,
    ctaSecondary: brandYellow.main
  },
  readerRevenueYellow: {
    primary: neutral[7],
    secondary: neutral[60],
    ctaPrimary: neutral[100],
    ctaSecondary: neutral[7]
  }
};
var background = {
  primary: neutral[100],
  ctaPrimary: brand.main,
  ctaPrimaryHover: "#234B8A",
  ctaSecondary: brand.faded,
  ctaSecondaryHover: "#ACC9F7",
  radioChecked: brand.main,
  checkboxChecked: brand.bright,
  mono: {
    primary: neutral[7],
    ctaPrimary: neutral[100],
    ctaPrimaryHover: neutral[93],
    ctaSecondary: neutral[46],
    ctaSecondaryHover: "#5C5C5C"
  },
  brand: {
    primary: brand.main,
    ctaPrimary: neutral[100],
    ctaPrimaryHover: "#E0E0E0",
    ctaSecondary: brand.pastel,
    ctaSecondaryHover: "#234B8A",
    radioChecked: neutral[100]
  },
  brandYellow: {
    primary: brandYellow.main,
    ctaPrimary: neutral[7],
    ctaPrimaryHover: "#454545",
    ctaSecondary: brandYellow.dark,
    ctaSecondaryHover: "#F2AE00"
  },
  readerRevenue: {
    primary: brand.main,
    ctaPrimary: brandYellow.main,
    ctaPrimaryHover: brandYellow.dark,
    ctaSecondary: brand.main,
    ctaSecondaryHover: "#234B8A"
  },
  readerRevenueYellow: {
    primary: brandYellow.main,
    ctaPrimary: neutral[7],
    ctaPrimaryHover: "#454545",
    ctaSecondary: brandYellow.main,
    ctaSecondaryHover: brandYellow.dark
  }
};
var border = {
  primary: neutral[60],
  secondary: neutral[86],
  error: error.main,
  focusHalo: sport.bright,
  radio: neutral[60],
  radioHover: brand.main,
  textInput: neutral[60],
  checkbox: neutral[60],
  checkboxHover: brand.bright,
  checkboxChecked: brand.bright,
  brand: {
    error: error.bright,
    radio: neutral[100],
    radioHover: brand.faded
  },
  readerRevenue: {
    ctaSecondary: brandYellow.main
  },
  readerRevenueYellow: {
    ctaSecondary: neutral[7]
  }
};
var palette = {
  brand: brand,
  brandYellow: brandYellow,
  neutral: neutral,
  error: error,
  success: success,
  news: news,
  opinion: opinion,
  sport: sport,
  culture: culture,
  lifestyle: lifestyle,
  labs: labs,
  text: text,
  background: background,
  border: border
};

var buttonLight = {
  button: {
    textPrimary: palette.text.ctaPrimary,
    backgroundPrimary: palette.background.ctaPrimary,
    backgroundPrimaryHover: palette.background.ctaPrimaryHover,
    textSecondary: palette.text.ctaSecondary,
    backgroundSecondary: palette.background.ctaSecondary,
    backgroundSecondaryHover: palette.background.ctaSecondaryHover,
    textTertiary: palette.text.ctaSecondary,
    backgroundTertiary: palette.background.primary
  }
};
var buttonBrand = {
  button: {
    textPrimary: palette.text.brand.ctaPrimary,
    backgroundPrimary: palette.background.brand.ctaPrimary,
    backgroundPrimaryHover: palette.background.brand.ctaPrimaryHover,
    textSecondary: palette.text.brand.ctaSecondary,
    backgroundSecondary: palette.background.brand.ctaSecondary,
    backgroundSecondaryHover: palette.background.brand.ctaSecondaryHover,
    textTertiary: palette.text.brand.ctaSecondary,
    backgroundTertiary: palette.background.brand.primary
  }
};
var buttonBrandYellow = {
  button: {
    textPrimary: palette.text.brandYellow.ctaPrimary,
    backgroundPrimary: palette.background.brandYellow.ctaPrimary,
    backgroundPrimaryHover: palette.background.brandYellow.ctaPrimaryHover,
    textSecondary: palette.text.brandYellow.ctaSecondary,
    backgroundSecondary: palette.background.brandYellow.ctaSecondary,
    backgroundSecondaryHover: palette.background.brandYellow.ctaSecondaryHover,
    textTertiary: palette.text.brandYellow.ctaSecondary,
    backgroundTertiary: palette.background.brandYellow.primary
  }
};
var buttonReaderRevenue = {
  button: {
    textPrimary: palette.text.readerRevenue.ctaPrimary,
    backgroundPrimary: palette.background.readerRevenue.ctaPrimary,
    backgroundPrimaryHover: palette.background.readerRevenue.ctaPrimaryHover,
    textSecondary: palette.text.readerRevenue.ctaSecondary,
    backgroundSecondary: palette.background.readerRevenue.ctaSecondary,
    backgroundSecondaryHover: palette.background.readerRevenue.ctaSecondaryHover,
    borderSecondary: palette.border.readerRevenue.ctaSecondary
  }
};
var buttonReaderRevenueYellow = {
  button: {
    textPrimary: palette.text.readerRevenueYellow.ctaPrimary,
    backgroundPrimary: palette.background.readerRevenueYellow.ctaPrimary,
    backgroundPrimaryHover: palette.background.readerRevenueYellow.ctaPrimaryHover,
    textSecondary: palette.text.readerRevenueYellow.ctaSecondary,
    backgroundSecondary: palette.background.readerRevenueYellow.ctaSecondary,
    backgroundSecondaryHover: palette.background.readerRevenueYellow.ctaSecondaryHover,
    borderSecondary: palette.border.readerRevenueYellow.ctaSecondary
  }
};
var button = {
  buttonLight: buttonLight,
  buttonBrand: buttonBrand,
  buttonBrandYellow: buttonBrandYellow,
  buttonReaderRevenue: buttonReaderRevenue,
  buttonReaderRevenueYellow: buttonReaderRevenueYellow
};

var inlineErrorLight = {
  inlineError: {
    text: palette.text.error
  }
};
var inlineErrorBrand = {
  inlineError: {
    text: palette.text.brand.error
  }
};

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(source, true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(source).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

var radioLight = _objectSpread2({
  radio: {
    borderHover: palette.border.radioHover,
    border: palette.border.radio,
    backgroundChecked: palette.background.radioChecked,
    text: palette.text.primary,
    textSupporting: palette.text.secondary,
    textError: palette.border.error
  }
}, inlineErrorLight);
var radioBrand = _objectSpread2({
  radio: {
    borderHover: palette.border.radioHover,
    border: palette.border.radio,
    backgroundChecked: palette.background.brand.radioChecked,
    text: palette.text.brand.primary,
    textSupporting: palette.text.brand.secondary,
    textError: palette.border.brand.error
  }
}, inlineErrorBrand);

var textInputLight = _objectSpread2({
  textInput: {
    textInput: palette.text.primary,
    textLabel: palette.text.primary,
    backgroundInput: palette.background.primary
  }
}, inlineErrorLight);

exports.button = button;
exports.buttonBrand = buttonBrand;
exports.buttonBrandYellow = buttonBrandYellow;
exports.buttonLight = buttonLight;
exports.buttonReaderRevenue = buttonReaderRevenue;
exports.buttonReaderRevenueYellow = buttonReaderRevenueYellow;
exports.inlineErrorBrand = inlineErrorBrand;
exports.inlineErrorLight = inlineErrorLight;
exports.radioBrand = radioBrand;
exports.radioLight = radioLight;
exports.textInputLight = textInputLight;
